%global dlrn_nvr 15.6.0-2.20211210010315.0693547
%global dlrn 1
%define upstream_version 15.6.0
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-designate

Name:                   puppet-designate
Version: 15.6.0
Release: 2.20211210010315.0693547%{?dist}
Summary:                Puppet module for OpenStack Designate
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-designate

Source0: 15.6.0-2.20211210010315.0693547.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=069354728637074f15a59feabf6b6d601e387b12

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-stdlib
Requires:               puppet-dns
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:               puppet-powerdns
%endif

%description
Installs and configures OpenStack Designate (DNS Services).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/designate/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/designate/



%files
%{_datadir}/openstack-puppet/modules/designate/


%changelog
* Thu Dec 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-2.20211210010315.0693547
- Update patches
- Add support for the interface parameter in authtoken middleware

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-2.20210618004130.699d285
- Update patches

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-2.20210601020041.699d285
- Update patches
- Fix minimum version of puppet-rabbitmq
- Prepare the final stable/train release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.6.0-2.20210528093029.ee639de
- Update patches

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Add support to specify sqlite database

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Fix rabbitmq dependency

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Switch to Train

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Release 15.5.0
- Deprecated designate::pool_manager

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Oct 04 2019 RDO <dev@lists.rdoproject.org> 15.4.0-1
- Update to 15.4.0

* Thu Feb 02 2017 Alfredo Moralejo <amoralej@redhat.com> 9.5.0-1
- Update to 9.5.0




